Subject: [v6ops] Fwd: New Version Notification - draft-ietf-v6ops-ipv6-cpe-router-08.txt

From: Ole Troan <[email-masked]>
Date: Thu, 16 Dec 2010 20:39:07 +0100

executive summary:

 scope of the draft: single CPE with multiple routed LAN interfaces, single WAN uplink

 problem: todays host implementations do not handle multi-prefix multi-homing.
          in a mhmp host, each sa/da pair may have different reachability. 
          an easily reproducible example is where a host has a ULA address and an IPv4
          address, or a global IPV6 address but no IPv6 connectivity and an IPv4 address.
          if the host implementation does not implement RFC3484(bis) and/or does not
          implement happy eyeballs. long timeouts will occur.

 solution: the CE router only advertises itself as a default router when it has
           upstream IPv6 connectivity and has global addresses.
           for local communication routing is enabled
           through the use of the more specific routes option from 4191.

I'll leave it up to the chairs to decide how to proceed, but I hope we can fast track this.

cheers,
Ole

Begin forwarded message:

> From: [email-masked]
> Date: December 16, 2010 20:15:02 GMT+01:00
> To: [email-masked], [email-masked], [email-masked]
> Subject: New Version Notification - draft-ietf-v6ops-ipv6-cpe-router-08.txt
> 
> New version (-08) has been submitted for draft-ietf-v6ops-ipv6-cpe-router-08.txt.
> http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv6-cpe-router-08.txt
> 
> 
> Diff from previous version:
> http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-cpe-router-08
> 
> IETF Secretariat.

---

From: Fred Baker <[email-masked]>
Date: Thu, 16 Dec 2010 12:27:52 -0800

Ole is asking for a consensus call. For those that had the misfortune of missing it, James raised a question regarding the CPE Router Specification (-07) in the context that some equipment doesn't implement the use of multiple addresses on an interface in a way that always works. After much discussion, Ole has posted -08. 

The diff is at
    http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-cpe-router-08.txt

Before I take this to the IESG for them to ratify, I want to verify that this meets everyone's needs. Please comment by Wednesday next week.

On Dec 16, 2010, at 11:39 AM, Ole Troan wrote:

> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Mark Smith <[email-masked]>
Date: Fri, 17 Dec 2010 08:19:06 +1030

Hi Ole,

Regarding this text,

 L-3:   An IPv6 CE router MUST advertise itself as a router for
 the delegated prefix(es) (and ULA prefix if configured to
 provide ULA addressing) using the "Route Information Option"
 specified in section 2.3 of [RFC4191].  This advertisement is	
 independent of having IPv6 connectivity on the WAN interface or not.

It is a bit unclear to me whether it is saying that the delegated
prefix aggregate(s) should be announced in the RIO, or whether only
those /64s from within the delegated aggregate(s), assigned and active
on LAN interfaces should be advertised. I'd think the latter would
be better, as it would avoid end-user visible time-outs for
non-existent local destinations, except possibly when there are so many
more specific /64s that the RIOs fill up a single RA.

Regards,
Mark.

On Thu, 16 Dec 2010 20:39:07 +0100

---

From: Ole Troan <[email-masked]>
Date: Thu, 16 Dec 2010 22:59:57 +0100

Mark,

> more specific /64s that the RIOs fill up a single RA.

my intention was for the aggregate.
sending to a non-existant prefix would result in almost the same behaviour as sending to a non-existant host (the former giving an instant ICMP unreachable, the latter one after address resolution failure).

cheers,
Ole

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 17 Dec 2010 11:57:31 +1300

I am happy with the proposed changes. Thanks for providing the diff URL.

    Brian

---

From: james woodyatt <[email-masked]>
Date: Thu, 16 Dec 2010 15:30:28 -0800

>> http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-cpe-router-08

I have reviewed this revision and consider it a satisfactory response to my previous objections.  I see no further reason to block the way to the editor's door with a flamethrower.

--
james woodyatt <[email-masked]>
member of technical staff, communications engineering

---

From: Tore Anderson <[email-masked]>
Date: Fri, 17 Dec 2010 12:10:00 +0100

* Fred Baker

> Before I take this to the IESG for them to ratify, I want to verify
> that this meets everyone's needs.

Support.  The changes look good to me, I believe they adequately solve
the ULA/IPv4 co-existence problem in the previous version.

I also hope the new version can be fast-tracked.  Routers based on the
previous version are already on the market, and, due to the co-existence
problem, are harming the IPv6 transition efforts of the content providers.

Best regards.
-- 
Tore Anderson
Redpill Linpro AS - http://www.redpill-linpro.com/
Tel: +47 21 54 41 27

---

From: "STARK, BARBARA H (ATTLABS)" <[email-masked]>
Date: Fri, 17 Dec 2010 08:30:00 -0500

I'm happy with it.
Barbara

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Fred Baker
> Sent: Thursday, December 16, 2010 3:28 PM
> To: IPv6 Operations
> Cc: Ron Bonica
> Subject: Re: [v6ops] Fwd: New Version Notification -draft-ietf-v6ops-
> ipv6-cpe-router-08.txt
> 
> Ole is asking for a consensus call. For those that had the misfortune
> of missing it, James raised a question regarding the CPE Router
> Specification (-07) in the context that some equipment doesn't
> implement the use of multiple addresses on an interface in a way that
> always works. After much discussion, Ole has posted -08.
> 
> The diff is at
> that this meets everyone's needs. Please comment by Wednesday next
> week.
> 
> >> To: [email-masked], draft-ietf-v6ops-ipv6-cpe-
> [email-masked], [email-masked]
http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-cpe-router-
> 08

---

From: Jan Zorz <[email-masked]>
Date: Sat, 18 Dec 2010 15:54:29 +0100

> Before I take this to the IESG for them to ratify, I want to verify that this meets everyone's needs. Please comment by Wednesday next week.

Seems good to me. Support as-is now.

Jan Zorz
go6.si

---

From: "Anfinsen, Ragnar" <[email-masked]>
Date: Mon, 27 Dec 2010 14:52:50 +0100

>     http://tools.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-cpe-

+1.

Let's get this done, so I can start using it... ;-)

Best Regards 
Ragnar Anfinsen
Altibox AS

---

From: Rémi Després <[email-masked]>
Date: Mon, 27 Dec 2010 15:24:12 +0100

> Let's get this done, so I can start using it... ;-)

Note that the last version is -09 (see below). 

Regards,
RD

Extrtact from www.ietf.org/mail-archive/web/v6ops/current/msg06610.html:
On Dec 2010 at 5:14 PM, Fred Baker wrote :
> On Dec 21, 2010, at 8:00 AM, Behcet Sarikaya wrote:
>> Fred, I think this subject has been discussed and even over-discussed and a good 
>> compromise has been reached as in -09. I suggest declaring a closure on this. We 
>> have already shooted the horse to death.
> I thought I did. In case there is any confusion on the point, I thought that the working group had closed the debate a number of months ago. Like all compromises, somebody isn't happy.